%global pypi_name watchdog
%global commitId da09c060a007fe7fddde27592e4f63ae1e8697bc

%global common_description %{expand:
Python library and shell utilities to monitor filesystem events.}
%global common_summary %{expand: Python API and shell utilities to monitor file system events.}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.0.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        Apache-2.0
URL:            https://github.com/gorakhargosh/watchdog.git
Source0:        python-watchdog-da09c060a007fe7fddde27592e4f63ae1e8697bc.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/watchmedo

%changelog
* Tue Oct 31 2023 James Marshall <jamarsha@redhat.com> 3.0.0-1
- Initial release
